##### basic_signal_set::basic_signal_set (3 of 8 overloads)

Construct a signal set and add one signal.

    basic_signal_set(
        const executor_type & ex,
        int signal_number_1);

This constructor creates a signal set and registers for one signal.

###### Parameters

ex

  The I/O executor that the signal set will use, by default, to dispatch handlers for any asynchronous operations performed on the signal set.

signal_number_1

  The signal number to be added.

###### Remarks

This constructor is equivalent to performing:

    asio::signal_set signals(ex);
    signals.add(signal_number_1);